summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-13 00:59:22 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:22 +0200
commit2b1cd5198588ef220023b47e4e8fe121401cc4c7 (patch)
tree96e6d476a0d1fb37e879e8218071eabd66bf90ff /misc
parent6140269e434c31406a3f8618651056ec138606eb (diff)
downloadslackbuilds-2b1cd5198588ef220023b47e4e8fe121401cc4c7.tar.gz
slackbuilds-2b1cd5198588ef220023b47e4e8fe121401cc4c7.tar.xz
misc/chmlib-examples: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/chmlib-examples/README5
-rw-r--r--misc/chmlib-examples/chmlib-examples.SlackBuild96
-rw-r--r--misc/chmlib-examples/chmlib-examples.info10
-rw-r--r--misc/chmlib-examples/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/misc/chmlib-examples/README b/misc/chmlib-examples/README
new file mode 100644
index 0000000000..3345bad35d
--- /dev/null
+++ b/misc/chmlib-examples/README
@@ -0,0 +1,5 @@
+chmlib-examples (example programs that use chmlib)
+
+This is a set of examples programs that use chmlib and
+are part of chmlib source code. They are enum_chmLib,
+test_chmLib, extract_chmLib, chm_http and enumdir_chmLib
diff --git a/misc/chmlib-examples/chmlib-examples.SlackBuild b/misc/chmlib-examples/chmlib-examples.SlackBuild
new file mode 100644
index 0000000000..14246b6972
--- /dev/null
+++ b/misc/chmlib-examples/chmlib-examples.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for chmlib-examples
+
+# Written by Antonio Hernández Blas <hba.nihilismus@gmail.com>
+
+# Copyright (c) 2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=chmlib-examples
+SRCNAM=chmlib
+VERSION=0.39
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.bz2
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-examples \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# These are part of the chmlib package
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/chmlib-examples/chmlib-examples.info b/misc/chmlib-examples/chmlib-examples.info
new file mode 100644
index 0000000000..3202defe05
--- /dev/null
+++ b/misc/chmlib-examples/chmlib-examples.info
@@ -0,0 +1,10 @@
+PRGNAM="chmlib-examples"
+VERSION="0.39"
+HOMEPAGE="http://www.jedrea.com/chmlib/"
+DOWNLOAD="http://www.jedrea.com/chmlib/chmlib-0.39.tar.bz2"
+MD5SUM="debed1a0bdded7a12d3d967e497cea9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/chmlib-examples/slack-desc b/misc/chmlib-examples/slack-desc
new file mode 100644
index 0000000000..7fadcfb522
--- /dev/null
+++ b/misc/chmlib-examples/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+chmlib-examples: chmlib-examples (example programs that use chmlib)
+chmlib-examples:
+chmlib-examples: This is a set of examples programs that use chmlib and
+chmlib-examples: are part of chmlib source code. They are enum_chmLib,
+chmlib-examples: test_chmLib, extract_chmLib, chm_http and enumdir_chmLib
+chmlib-examples:
+chmlib-examples: Homepage: http://www.jedrea.com/chmlib/
+chmlib-examples:
+chmlib-examples:
+chmlib-examples:
+chmlib-examples: